UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
com.latencybusters.lbm.LBMMonitorReceiver Class Reference

LBM Monitor Receiver class. More...

Inheritance diagram for com.latencybusters.lbm.LBMMonitorReceiver:

## Public Member Functions
| LBMMonitorReceiver (int formatter, string formatOpts, int transport, string transportOpts)
| Create an LBM Monitoring Receiver Controller. This creates an instance of an LBM Monitoring Receive Controller. More...
| LBMMonitorReceiver (int formatter, string formatOpts, int transport, string transportOpts, LBMObjectRecyclerBase recycler, Object objRecCbArg)
| Create an LBM Monitoring Receiver Controller. This creates an instance of an LBM Monitoring Receive Controller. More...
void | close ()
| Close and dispose of this monitor receiver.
void | addStatisticsCallback (LBMMonitorSourceStatisticsCallback cb)
| Register source statistics callbacks. More...
void | addStatisticsCallback (LBMMonitorReceiverStatisticsCallback cb)
| Register receiver statistics callbacks. More...
void | addStatisticsCallback (LBMMonitorEventQueueStatisticsCallback cb)
| Register event queue statistics callbacks. More...
void | addStatisticsCallback (LBMMonitorContextStatisticsCallback cb)
| Register context statistics callbacks. More...
void | addStatisticsCallback (LBMMonitorImmediateMessageSourceStatisticsCallback cb)
| Register immediate message source statistics callbacks. More...
void | addStatisticsCallback (LBMMonitorImmediateMessageReceiverStatisticsCallback cb)
| Register immediate message receiver statistics callbacks. More...
void | addStatisticsCallback (LBMMonitorSourceStatisticsCallback scb, LBMMonitorReceiverStatisticsCallback rcb)
| Register statistics callbacks. More...
void | addStatisticsCallback (LBMMonitorSourceStatisticsCallback scb, LBMMonitorReceiverStatisticsCallback rcb, LBMMonitorEventQueueStatisticsCallback evqcb, LBMMonitorContextStatisticsCallback ctxcb)
| Register statistics callbacks. More...
void | removeStatisticsCallback (LBMMonitorSourceStatisticsCallback cb)
| Deregister a previously registered source statistics callback. More...
void | removeStatisticsCallback (LBMMonitorReceiverStatisticsCallback cb)
| Deregister a previously registered receiver statistics callback. More...
void | removeStatisticsCallback (LBMMonitorEventQueueStatisticsCallback cb)
| Deregister a previously registered event queue statistics callback. More...
void | removeStatisticsCallback (LBMMonitorContextStatisticsCallback cb)
| Deregister a previously registered context statistics callback. More...
void | removeStatisticsCallback (LBMMonitorImmediateMessageSourceStatisticsCallback cb)
| Deregister a previously registered immediate message source statistics callback. More...
void | removeStatisticsCallback (LBMMonitorImmediateMessageReceiverStatisticsCallback cb)
| Deregister a previously registered immediate message receiver statistics callback. More...
void | removeStatisticsCallback (LBMMonitorSourceStatisticsCallback scb, LBMMonitorReceiverStatisticsCallback rcb)
| Deregister previously registered statistics callbacks. More...
void | removeStatisticsCallback (LBMMonitorSourceStatisticsCallback scb, LBMMonitorReceiverStatisticsCallback rcb, LBMMonitorEventQueueStatisticsCallback evqcb, LBMMonitorContextStatisticsCallback ctxcb)
| Deregister previously registered statistics callbacks. More...
void | Dispose ()
| Same as close. More...

## Detailed Description

LBM Monitor Receiver class.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMMonitorReceiver.LBMMonitorReceiver | ( | int | formatter,
|  | string | formatOpts,
|  | int | transport,
|  | string | transportOpts
| ) |  |

Create an LBM Monitoring Receiver Controller. This creates an instance of an LBM Monitoring Receive Controller.

Parameters

  formatter | Format module type
  formatOpts | A block of data which is passed to the format module's initialization function. This may be used to pass configuration options to the format module.
  transport | Transport module type
  transportOpts | A block of data which is passed to the transport module's initialization function. This may be used to pass configuration options to the transport module.

Exceptions

  com.latencybusters.lbm.LBMEInvalException | Unsupported format type
  com.latencybusters.lbm.LBMEInvalException | Unsupported transport type
  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.EINVAL, com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

com.latencybusters.lbm.LBMMonitorReceiver.LBMMonitorReceiver | ( | int | formatter,
|  | string | formatOpts,
|  | int | transport,
|  | string | transportOpts,
|  | LBMObjectRecyclerBase | recycler,
|  | Object | objRecCbArg
| ) |  |

Create an LBM Monitoring Receiver Controller. This creates an instance of an LBM Monitoring Receive Controller.

Parameters

  formatter | Format module type
  formatOpts | A block of data which is passed to the format module's initialization function. This may be used to pass configuration options to the format module.
  transport | Transport module type
  transportOpts | A block of data which is passed to the transport module's initialization function. This may be used to pass configuration options to the transport module.
  recycler | an object recycler to handle recycling stats objects. Only the last callback should call the doneWith method to return the stat object back to the recycler.
  objRecCbArg | a callback object token that will be passed to the recycler (normally null is used)

Exceptions

  com.latencybusters.lbm.LBMEInvalException | Unsupported format type
  com.latencybusters.lbm.LBMEInvalException | Unsupported transport type
  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

## Member Function Documentation

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorSourceStatisticsCallback | cb | ) |

Register source statistics callbacks.

See also
  LBMMonitorSourceStatisticsCallback
  removeStatisticsCallback(LBMMonitorSourceStatisticsCallback)

Parameters

  cb | Callback implementing the LBMMonitorSourceStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorReceiverStatisticsCallback | cb | ) |

Register receiver statistics callbacks.

See also
  LBMMonitorReceiverStatisticsCallback
  removeStatisticsCallback(LBMMonitorReceiverStatisticsCallback)

Parameters

  cb | Callback implementing the LBMMonitorReceiverStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorEventQueueStatisticsCallback | cb | ) |

Register event queue statistics callbacks.

See also
  LBMMonitorEventQueueStatisticsCallback
  removeStatisticsCallback(LBMMonitorEventQueueStatisticsCallback)

Parameters

  cb | Callback implementing the LBMMonitorEventQueueStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorContextStatisticsCallback | cb | ) |

Register context statistics callbacks.

See also
  LBMMonitorContextStatisticsCallback
  removeStatisticsCallback(LBMMonitorContextStatisticsCallback)

Parameters

  cb | Callback implementing the LBMMonitorContextStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorImmediateMessageSourceStatisticsCallback | cb | ) |

Register immediate message source statistics callbacks.

See also
  LBMMonitorImmediateMessageSourceStatisticsCallback
  removeStatisticsCallback(LBMMonitorImmediateMessageSourceStatisticsCallback)

Parameters

  cb | Callback implementing the LBMMonitorImmediateMessageSourceStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorImmediateMessageReceiverStatisticsCallback | cb | ) |

Register immediate message receiver statistics callbacks.

See also
  LBMMonitorImmediateMessageReceiverStatisticsCallback
  removeStatisticsCallback(LBMMonitorImmediateMessageReceiverStatisticsCallback)

Parameters

  cb | Callback implementing the LBMMonitorImmediateMessageReceiverStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorSourceStatisticsCallback | scb,
|  | LBMMonitorReceiverStatisticsCallback | rcb
| ) |  |

Register statistics callbacks.

See also
  LBMMonitorSourceStatisticsCallback
  LBMMonitorReceiverStatisticsCallback
  removeStatisticsCallback(LBMMonitorSourceStatisticsCallback, LBMMonitorReceiverStatisticsCallback)

Parameters

  scb | Callback implementing the LBMMonitorSourceStatisticsCallback delegate interface
  rcb | Callback implementing the LBMMonitorReceiverStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorSourceStatisticsCallback | scb,
|  | LBMMonitorReceiverStatisticsCallback | rcb,
|  | LBMMonitorEventQueueStatisticsCallback | evqcb,
|  | LBMMonitorContextStatisticsCallback | ctxcb
| ) |  |

Register statistics callbacks.

See also
  LBMMonitorSourceStatisticsCallback
  LBMMonitorReceiverStatisticsCallback
  LBMMonitorEventQueueStatisticsCallback
  LBMMonitorContextStatisticsCallback
  removeStatisticsCallback(LBMMonitorSourceStatisticsCallback, LBMMonitorReceiverStatisticsCallback, LBMMonitorEventQueueStatisticsCallback, LBMMonitorContextStatisticsCallback)

Parameters

  scb | Callback implementing the LBMMonitorSourceStatisticsCallback delegate interface
  rcb | Callback implementing the LBMMonitorReceiverStatisticsCallback delegate interface
  evqcb | Callback implementing the LBMMonitorEventQueueStatisticsCallback delegate interface
  ctxcb | Callback implementing the LBMMonitorContextStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.Dispose | ( |  | ) |

Same as close.

See also
  close

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorSourceStatisticsCallback | cb | ) |

Deregister a previously registered source statistics callback.

See also
  LBMMonitorSourceStatisticsCallback
  addStatisticsCallback(LBMMonitorSourceStatisticsCallback)

Parameters

  cb | Previously registered callback implementing the LBMMonitorSourceStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorReceiverStatisticsCallback | cb | ) |

Deregister a previously registered receiver statistics callback.

See also
  LBMMonitorReceiverStatisticsCallback
  addStatisticsCallback(LBMMonitorReceiverStatisticsCallback)

Parameters

  cb | Previously registered callback implementing the LBMMonitorReceiverStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorEventQueueStatisticsCallback | cb | ) |

Deregister a previously registered event queue statistics callback.

See also
  LBMMonitorEventQueueStatisticsCallback
  addStatisticsCallback(LBMMonitorEventQueueStatisticsCallback)

Parameters

  cb | Previously registered callback implementing the LBMMonitorEventQueueStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorContextStatisticsCallback | cb | ) |

Deregister a previously registered context statistics callback.

See also
  LBMMonitorContextStatisticsCallback
  addStatisticsCallback(LBMMonitorContextStatisticsCallback)

Parameters

  cb | Previously registered callback implementing the LBMMonitorContextStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorImmediateMessageSourceStatisticsCallback | cb | ) |

Deregister a previously registered immediate message source statistics callback.

See also
  LBMMonitorImmediateMessageSourceStatisticsCallback
  addStatisticsCallback(LBMMonitorImmediateMessageSourceStatisticsCallback)

Parameters

  cb | Previously registered callback implementing the LBMMonitorImmediateMessageSourceStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorImmediateMessageReceiverStatisticsCallback | cb | ) |

Deregister a previously registered immediate message receiver statistics callback.

See also
  LBMMonitorImmediateMessageReceiverStatisticsCallback
  addStatisticsCallback(LBMMonitorImmediateMessageReceiverStatisticsCallback)

Parameters

  cb | Previously registered callback implementing the LBMMonitorImmediateMessageReceiverStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorSourceStatisticsCallback | scb,
|  | LBMMonitorReceiverStatisticsCallback | rcb
| ) |  |

Deregister previously registered statistics callbacks.

See also
  LBMMonitorSourceStatisticsCallback
  LBMMonitorReceiverStatisticsCallback
  addStatisticsCallback(LBMMonitorSourceStatisticsCallback, LBMMonitorReceiverStatisticsCallback)

Parameters

  scb | Previously registered callback implementing the LBMMonitorSourceStatisticsCallback delegate interface
  rcb | Previously registered callback implementing the LBMMonitorReceiverStatisticsCallback delegate interface

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorSourceStatisticsCallback | scb,
|  | LBMMonitorReceiverStatisticsCallback | rcb,
|  | LBMMonitorEventQueueStatisticsCallback | evqcb,
|  | LBMMonitorContextStatisticsCallback | ctxcb
| ) |  |

Deregister previously registered statistics callbacks.

See also
  LBMMonitorSourceStatisticsCallback
  LBMMonitorReceiverStatisticsCallback
  LBMMonitorEventQueueStatisticsCallback
  LBMMonitorContextStatisticsCallback
  addStatisticsCallback(LBMMonitorSourceStatisticsCallback, LBMMonitorReceiverStatisticsCallback, LBMMonitorEventQueueStatisticsCallback, LBMMonitorContextStatisticsCallback)

Parameters

  scb | Previously registered callback implementing the LBMMonitorSourceStatisticsCallback delegate interface
  rcb | Previously registered callback implementing the LBMMonitorReceiverStatisticsCallback delegate interface
  evqcb | Previously registered callback implementing the LBMMonitorEventQueueStatisticsCallback delegate interface
  ctxcb | Previously registered callback implementing the LBMMonitorContextStatisticsCallback delegate interface

References com.latencybusters.lbm.LBMMonitor.ATTR_SOURCE_IM, com.latencybusters.lbm.LBMMonitorContextStatisticsCallback(), com.latencybusters.lbm.LBMMonitorEventQueueStatisticsCallback(), com.latencybusters.lbm.LBMMonitorImmediateMessageReceiverStatisticsCallback(), com.latencybusters.lbm.LBMMonitorImmediateMessageSourceStatisticsCallback(), com.latencybusters.lbm.LBMMonitorReceiverStatisticsCallback(), com.latencybusters.lbm.LBMMonitorSourceStatisticsCallback(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveContextStatistics(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveEventQueueStatistics(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveImmediateMessageReceiverStatistics(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveImmediateMessageSourceStatistics(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveReceiverStatistics(), and com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveSourceStatistics().

The documentation for this class was generated from the following file:

- LBMMonitorReceiver.cs